#
# spec file for package yast2-mouse (Version 2.13.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-mouse
Version:        2.13.7
Release:        16.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-mouse-2.13.7.tar.bz2
prefix:		/usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer sgml-skel update-desktop-files yast2 yast2-devtools yast2-perl-bindings yast2-testsuite
Requires:       yast2
Provides:       yast2-config-mouse
Obsoletes:      yast2-config-mouse
Provides:       yast2-db-mouse
Obsoletes:      yast2-db-mouse
Provides:       yast2-trans-inst-mouse
Obsoletes:      yast2-trans-inst-mouse
Provides:       y2d_inst-mouse
Obsoletes:      y2d_inst-mouse
Provides:       y2t_inst-mouse
Obsoletes:      y2t_inst-mouse
Summary:        YaST2 - Mouse Configuration

%description
A Mouse configuration module to be called from the YaST2 control
center.



Authors:
--------
    Thomas Roelz <tom@suse.de> 
    Thomas Fehr <fehr@suse.de>
    Marcus Schfer <ms@suse.de>

%debug_package
%prep
%setup -n yast2-mouse-2.13.7

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT%{prefix}/share/applications/YaST2/mouse.desktop
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/data/*.ycp
/usr/share/YaST2/modules/*
/usr/share/YaST2/clients/*.ycp
%ifnarch s390 s390x
%{prefix}/share/applications/YaST2/mouse.desktop
%endif
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-mouse

%changelog -n yast2-mouse
* Mon Mar 06 2006 - ms@suse.de
- adapt BuildRequires
* Fri Oct 14 2005 - ms@suse.de
- fixed mouse probe code. A mouse needs to be reprobed if we are
  in reprobe() stage or if there is no valid tag written to
  /etc/sysconfig/mouse:YAST_MOUSE.
- removed that weird <ignore> entry nobody did understand. I couldn't
  find any case where it would be usefull to display something like
  that.
* Tue Aug 23 2005 - ms@suse.de
- include mouse proposal for text mode installation only (#106631)
* Tue Aug 23 2005 - ms@suse.de
- removed apply text from help text (#106649)
* Thu Aug 18 2005 - locilka@suse.cz
- merged one text after the proofreading
- 2.12.7
* Wed Aug 10 2005 - ms@suse.de
- fixed mouse detection
* Wed Aug 03 2005 - jsuchome@suse.cz
- run SaX to configure mouse in graphical mode (#99696)
- 2.12.6
* Tue Jul 26 2005 - ms@suse.de
- removed usage of xf86config agent, the mouse module is used
  to configure the GPM nothing more (#97996)
* Tue Mar 15 2005 - ms@suse.de
- fixed apply call (#72026)
- changed maintainer fehr -> ms
* Fri Mar 04 2005 - ms@suse.de
- fixed xmset call crashing the X-Server (#67302)
* Fri Feb 11 2005 - nashif@suse.de
- Handle arguments to make it work with autoyast
* Mon Feb 07 2005 - fehr@suse.de
- patch proofread texts back into ycp
- 2.11.4
* Thu Jan 27 2005 - fehr@suse.de
- fix typo
- 2.11.3
* Wed Jan 26 2005 - fehr@suse.de
- fix call to xmset without X11 installed (#50207)
- 2.11.2
* Fri Jan 07 2005 - jsuchome@suse.cz
- added basic command-line support
* Tue Oct 26 2004 - fehr@suse.de
- updated to new Mode/Stage interface
- 2.11.1
* Mon Oct 11 2004 - jsrain@suse.cz
- updated to new Arch:: interface
- 2.11.0
* Tue Sep 28 2004 - fehr@suse.de
- fix incomplete retranslations (#46317)
- 2.10.5
* Wed Sep 22 2004 - fehr@suse.de
- place calls to SetDesktopIcon where they work (#45714)
- 2.10.4
* Wed Sep 08 2004 - fehr@suse.de
- Change desktop files (#44824)
- 2.10.3
* Tue Aug 17 2004 - fehr@suse.de
- rename module "hid" to "usbhid" (#36766)
- 2.10.2
* Thu Jul 15 2004 - fehr@suse.de
- merged SuSE-Linux-9_1-Branch
- 2.10.1
* Wed Apr 07 2004 - arvin@suse.de
- fix bug with wrong mouse type during first YaST2 boot (#37819)
- 2.9.11
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Tue Mar 30 2004 - fehr@suse.de
- fix confusing mouse dialog, bus type can again be detected (#35819)
- 2.9.9
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.8
- Fixed CreateDialog() / SetIcon() order
* Mon Mar 08 2004 - fehr@suse.de
- add calls to Wizard::SetDesktopIcon(...);
- version 2.9.7
* Wed Mar 03 2004 - msvec@suse.cz
- dropped duplicated language_change detection from proposal
- reduced NFB accordingly
- version 2.9.6
* Thu Feb 26 2004 - nashif@suse.de
- Changed proposal file name proposal_* to *_proposal
- version 2.9.5
* Mon Feb 23 2004 - fehr@suse.de
- device name cannot used to decide if PS/2 port or USB mouse (34713)
- version 2.9.4
* Mon Feb 09 2004 - arvin@suse.de
- disabled loading of kernel modules input and mousedev
* Sat Feb 07 2004 - nashif@suse.de
- remove y2cc file
- 2.9.2
* Sat Jan 31 2004 - arvin@suse.de
- additional fixes for new interpreter
- version 2.9.1
* Fri Jan 23 2004 - fehr@suse.de
- first version suitable for new interpreter
- version 2.9.0
* Mon Sep 22 2003 - fehr@suse.de
- do not call SetXMouse if no mouse device was detected (#31537)
- 2.8.7
* Sun Sep 14 2003 - adrian@suse.de
- make it working inside of kcontrol
* Mon Sep 08 2003 - fehr@suse.de
- prevent return of nil in do_really_probe
- 2.8.5
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Tue Aug 19 2003 - fehr@suse.de
- remove include of obsolete common_functions.ycp
- 2.8.3
* Sat Aug 16 2003 - arvin@suse.de
- added desktop files
* Tue Jun 10 2003 - fehr@suse.de
- Use new Modules Label and Popup wherever possible
* Thu Jun 05 2003 - fehr@suse.de
- make it build under new rules (unpackaged files)
- 2.8.1
* Mon Mar 17 2003 - ms@suse.de
- call hwupdate every time the mouse dialog is called
  in reprobe mode to update all hw flags from all mice
  (#25510)
* Mon Feb 24 2003 - fehr@suse.de
- fix bug that manual setting get overridden by reprobe in
  Mouse::Save() (#24120)
- version 2.7.4
* Thu Feb 20 2003 - fehr@suse.de
- use sentence style capitalisation in y2cc files (#23848)
* Wed Feb 19 2003 - fehr@suse.de
- add comments to texts for translators (#23774)
* Mon Feb 17 2003 - fehr@suse.de
- version 2.7.3
* Mon Feb 03 2003 - fehr@suse.de
- pot file now in source tarball
* Wed Jan 29 2003 - fehr@suse.de
- patch proofreaded texts back into ycp
- 2.7.2
* Thu Jan 16 2003 - fehr@suse.de
- add mouse type "ignore" to prevent calling YaST2 on system boot
  when mouse is attached occasionally (#20947)
- 2.7.1
* Wed Nov 20 2002 - fehr@suse.de
- merged up to version 2.6.19 of 8.1 branch
- 2.7.0
* Wed Sep 11 2002 - fehr@suse.de
- fix wrong name for sysconfig entry MOUSE->MOUSEDEICE (#19450)
- 2.6.16
* Mon Sep 09 2002 - kkaempf@suse.de
- re-include mouse_raw.ycp
- 2.6.15
* Mon Sep 09 2002 - fehr@suse.de
- remove mouse entry from y2cc for S390 (#19196)
- version 2.6.14
* Fri Sep 06 2002 - fehr@suse.de
- fix some Provides/Obsoletes
- version 2.6.13
* Thu Sep 05 2002 - ms@suse.de
- fixed loading of mousedev for ExplorerPS/2 based mice
- version 2.6.12
* Mon Sep 02 2002 - fehr@suse.de
- version 2.6.11
* Fri Aug 30 2002 - ms@suse.de
- add ExplorerPS/2 entries to mouse_raw.ycp (#18625)
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 - fehr@suse.de
- set unconfigured mouse devices to "needed no" in HwInfo (#18252)
- version 2.6.10
* Tue Aug 13 2002 - arvin@suse.de
- create symbolic link to /dev/mouse (workaround for xmset)
* Tue Jul 30 2002 - ms@suse.de
- changed variable naming: MOUSE -> MOUSEDEVICE
* Tue Jul 30 2002 - ms@suse.de
- add MOUSETYPE to /etc/sysconfig/mouse (#17266)
* Fri Jul 26 2002 - ms@suse.de
- fixed handling if mouse is disconnected (#16239)
* Tue Jul 23 2002 - fehr@suse.de
- add eval() around assignment of locale to string
- fix wrong data structure in mouse_raw.ycp
* Tue Jul 23 2002 - fehr@suse.de
- change it so that the mouse_db.ycp file is not needed any more
* Tue Jul 23 2002 - fehr@suse.de
- regenerated potfile with new entries from mouse_raw.ycp
* Mon Jul 15 2002 - fehr@suse.de
- fix namespace lookup
* Tue Jul 09 2002 - mvidner@suse.cz
- Provide/Obsolete yast2-db-mouse
* Thu Jul 04 2002 - fehr@suse.de
- version generated by new devtools
* Fri Jun 28 2002 - fehr@suse.de
- version 2.6.6
- adapt to new naming scheme for potfiles
- first package with new cvs
- datafiles now in /usr/lib/YaST2/data
* Mon Jun 24 2002 - kkaempf@suse.de
- merge mouse related stuff from yast2.rpm
- rename to "yast2-mouse"
* Mon May 27 2002 - sh@suse.de
- Added missing files to files list
* Wed May 22 2002 - tom@suse.de
- Invented modules dir.
  Moved X11 functionality from mouse.ycp to Mouse.ycp.
* Tue May 07 2002 - tom@suse.de
- Integration of core functionality (formerly in yast2 package) finished.
* Mon Apr 22 2002 - tom@suse.de
- Merge with 8.0 branch.
* Wed Mar 20 2002 - tom@suse.de
- (#14663) Reverting to previous version.
* Wed Mar 20 2002 - tom@suse.de
- (#14663) Fixed missing Requires for trans-package.
* Tue Mar 12 2002 - tom@suse.de
- Not running suseconfig anymore.
* Mon Feb 18 2002 - tom@suse.de
- Implemented reprobe functionality.
* Fri Feb 15 2002 - tom@suse.de
- (#13355) Renamed choose_mouse.ycp --> mouse.ycp
* Fri Feb 08 2002 - tom@suse.de
- Now working with new Modul-archtecture.
* Wed Jan 16 2002 - tom@suse.de
- Initial version
